
Figure - Bug #111975
测试 Test-IT # 110867 (New): V1.0测试功能汇总

测试 Test-IT # 110868 (New): BSP-BVT测试-上/下电测试

Bug # 111349 (CLOSED): 【BSP】【EVT】【power】【低概率】执行adb reboot，低概率起不来

【BSP】【EVT】【power】【低概率】执行adb reboot，概率出现drm 空指针
2022-09-15 15:16 - CD SYSTEM-赵正军

Status: CLOSED Start date: 2022-09-15

Priority: High Due date:

Assignee: SZTS_TEST 邹涛 % Done: 0%

Category: BSP Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: 0.0.0.20220818_alpha_004

Resolution: -- Degrated: --

Severity: Normal Verified Version:

Reproducibility: Occasionally Fixed Version:

Test Type: Bring Up Test Root cause:

Description

前置条件：

1、DUT各模块功能正常且处于开机状态

操作步骤：

1、cmd内执行adb reboot命令，重启过程中查看设备状态

实际结果：

1、板子低概率（1/12）起不来

预期结果：启动正常

从目前分析来看,原始log报错有如下两个关键出错信息:

1.

[   32.129044] init: [libfs_mgr]Error updating for slotselect

2,

[   32.210942] Unable to handle kernel NULL pointer dereference at virtual address 0000000000000030

[   32.258239] pc : drm_atomic_state_alloc+0x18/0x80

还请分析调查第2个报错的原因

History

#1 - 2022-09-15 16:49 - CD BSP-余霄

请使用最新版本DB进行复现操作，若出现并提供相应LOG
#2 - 2022-09-15 16:49 - CD BSP-余霄

- Assignee changed from CD BSP-余霄 to CDTS_TEST 王成

#3 - 2022-09-20 15:10 - CD BSP-余霄

- Assignee changed from CDTS_TEST 王成 to SZTS_TEST 邹涛

#4 - 2022-09-21 11:02 - CD TPM-申艳艳

- Category set to BSP

#5 - 2022-09-23 16:12 - CD BSP-余霄

- Status changed from New to NEED_INFO

目前新版本合入了屏幕兼容以及背光的控制逻辑，以当前版本验证结果为准。

我这边本地验证50次不复现异常，麻烦帮忙使用9.23号版本验证一下是否复现。

#6 - 2022-09-24 19:19 - SZTS_TEST 邹涛

0923号user版本验证reboot 80次未复现，已跟踪三个版本，关闭该bug

#7 - 2022-09-24 19:19 - SZTS_TEST 邹涛

- Status changed from NEED_INFO to RESOLVED

#8 - 2022-09-24 19:19 - SZTS_TEST 邹涛

- Status changed from RESOLVED to VERIFIED

#9 - 2022-09-24 19:20 - SZTS_TEST 邹涛

- Status changed from VERIFIED to CLOSED

Files

Serial-COM119_20220818144212_reboot起不来.log 202 KB 2022-09-15 CD SYSTEM-赵正军
